Skip to main content

Internet Explorer Support

Supported IE Versions

With the release of Cascade Server 7.12.1 (September 2014), Hannon Hill announced changes in their Internet Explorer (IE) support. For site owners who use Internet Explorer to maintain content in Cascade Server:

  • IE11 is now fully supported in 7.12.1
  • IE9 and IE10 continue to be fully supported
  • IE8 support has been deprecated and support will be discontinued in the next major release of Cascade Server

The Hannon Hill Cascade Server Requirements page outlines supported browsers and platforms.

 

IE11 Issue is Resolved

Cascade Server uses an open source tool called TinyMCE in its WYSIWYG (What You See Is What You Get) content editor.

Early in 2014, IE11 users began noticing Cascade issues when editing content, primarily an inability to insert links (i.e., creating hyperlinks with the chain link icon).

The Cascade issue was traced to recent changes in TinyMCE that did not support IE11. Internet Explorer versions prior to IE11 were not affected. Chrome and Firefox users did not report any issues.

Cascade Server 7.12.1 included an upgrade to TinyMCE 3.5.11 which does support IE11. This means that Cascade Server now fully supports IE11 and Cascade/IE users should no longer have issues with the text editor when maintaining their content.

 

Comments and Questions

If you have questions or wish to report related issues, contact the MSU Web Team, Communications and Brand Strategy (CABS):
Email: cascade@cabs.msu.edu
Telephone: (517) 355-7505

 

Learn more about Cascade Server